Skip to main content
GET
/
accounts
/
api
/
dashboard
/
views
/
{dashboardViewId}
Get a dashboard view
curl --request GET \
  --url https://api.upstackdata.com/accounts/api/dashboard/views/{dashboardViewId} \
  --header 'x-api-key: <api-key>' \
  --header 'x-pixel-id: <api-key>'
{
  "dashboardView": {
    "id": "<string>",
    "pixelId": "<string>",
    "name": "<string>",
    "configuration": {
      "attributionWindow": 123,
      "dateRange": {
        "start": "2026-04-01",
        "end": "2026-04-30"
      },
      "grid": {
        "maxWidth": 1200
      },
      "widgets": [
        {
          "id": "<string>",
          "title": "<string>",
          "layout": {
            "x": 5,
            "y": 1,
            "rows": 2,
            "columns": 6,
            "minColumns": 2,
            "maxColumns": 11,
            "minRows": 2,
            "maxRows": 123,
            "static": true
          },
          "dataConfig": {
            "measures": [
              "<string>"
            ],
            "dimensions": [
              "<string>"
            ],
            "filters": [
              {}
            ]
          },
          "sourceWidgetId": "<string>"
        }
      ],
      "filters": {},
      "sections": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "title": "<string>",
          "ordinal": 0,
          "collapsed": true,
          "hidden": true,
          "widgets": [
            {
              "id": "<string>",
              "title": "<string>",
              "layout": {
                "x": 5,
                "y": 1,
                "rows": 2,
                "columns": 6,
                "minColumns": 2,
                "maxColumns": 11,
                "minRows": 2,
                "maxRows": 123,
                "static": true
              },
              "dataConfig": {
                "measures": [
                  "<string>"
                ],
                "dimensions": [
                  "<string>"
                ],
                "filters": [
                  {}
                ]
              },
              "sourceWidgetId": "<string>"
            }
          ],
          "settings": {
            "pacing": true,
            "theme": "<string>",
            "backgroundColor": "<string>",
            "filters": {
              "and": [
                {
                  "value": "<string>"
                }
              ]
            }
          }
        }
      ],
      "defaultSettings": {
        "pacing": true,
        "theme": "<string>",
        "backgroundColor": "<string>",
        "filters": {
          "and": [
            {
              "value": "<string>"
            }
          ]
        }
      }
    },
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "createdBy": "<string>",
    "updatedBy": "<string>",
    "order": 123
  }
}

Authorizations

x-api-key
string
header
required

Your Upstack API key. Starts with upstack_.

x-pixel-id
string
header
required

The pixel id the request targets.

Path Parameters

dashboardViewId
string
required

Response

The requested view.

dashboardView
object
required